Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228430 - "Error: No Package Matching glibc.i686"
Summary: "Error: No Package Matching glibc.i686"
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 04:48 UTC by david.hagood
Modified: 2014-01-21 22:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-13 13:24:32 UTC


Attachments (Terms of Use)
log messages running yum install gcc-gfortran .. commands (deleted)
2007-08-31 14:28 UTC, Roberto Marquardt
no flags Details

Description david.hagood 2007-02-13 04:48:28 UTC
Description of problem:
Every time yum tries to update glibc and any other packages, after much gyration
yum fails with

"Error: No Package Matching glibc.i686"

However, forcing YUM to install glibc will work, and then the remainder of the
update will run to completion.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Wait for there to be updates to GLIBC and anything else
2. yum -t -y --skip-broken upgrade

  
Actual results:
Yum dies with
"Error: No Package Matching glibc.i686"

Expected results:
Yum should install the new GLIBC and the other packages.

Additional info:

Comment 1 Jeremy Katz 2007-02-14 16:18:55 UTC
What's the output of 
  rpm -q --queryformat "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}" glibc
?

Comment 2 david.hagood 2007-02-15 00:04:02 UTC
glibc-2.5.90-17.i686

Comment 3 Jeremy Katz 2007-04-25 19:16:00 UTC
Does this happen without skip-broken?

Comment 4 david.hagood 2007-04-26 00:16:04 UTC
I can check the next time an update to glibc is pushed out and this happens...

Comment 5 Michael Schwendt 2007-04-27 13:10:29 UTC
Cannot confirm with "yum update":

$ sudo yum update
[...]
 gdm                     i386       1:2.18.0-11.fc7  development
 ghostscript             i386       8.15.4-3.fc7     development
 glibc                   i686       2.5.90-21        development
 glibc-common            i386       2.5.90-21        development
 glibc-devel             i386       2.5.90-21        development
 glibc-headers           i386       2.5.90-21        development
 glx-utils               i386       6.5.2-10.fc7     development
 gnome-applets           i386       1:2.18.0-7.fc7   development
[...]
Transaction Summary
=============================================================================
Install      5 Package(s)         
Update     237 Package(s)         
Remove       0 Package(s)         
[...]


Comment 6 Jeremy Katz 2007-04-27 20:19:34 UTC
Looks like a plugin bug then.

Comment 7 Roberto Marquardt 2007-08-31 14:28:27 UTC
Created attachment 183441 [details]
log messages running yum install gcc-gfortran .. commands

Comment 8 Seth Vidal 2008-03-13 13:24:32 UTC
So it's been over 6 months since the last update on this and we've never heard
back about it occurring any other time.

I'm going to close this as insufficient data b/c it sure seems like whatever was
going on here was transient.

If there is an update to it, please reopen.

Comment 9 Basil Baby 2008-04-18 04:28:20 UTC
[root@solution]# uname -rp;date
2.6.18-8.el5xen x86_64
Fri Apr 18 00:26:38 EDT 2008
[root@solution]# 
[root@solution]# yum install  glibc-devel-2.5-12
Loading "installonlyn" plugin
Loading "rhnplugin" plugin
Setting up Install Process
Setting up repositories
rhel-x86_64-server-5      100% |=========================| 1.4 kB    00:00     
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for glibc-devel to pack into transaction set.
glibc-devel-2.5-12.i386.r 100% |=========================| 105 kB    00:00     
---> Package glibc-devel.i386 0:2.5-12 set to be updated
---> Downloading header for glibc-devel to pack into transaction set.
glibc-devel-2.5-12.x86_64 100% |=========================| 105 kB    00:00     
---> Package glibc-devel.x86_64 0:2.5-12 set to be updated
--> Running transaction check
--> Processing Dependency: glibc-headers for package: glibc-devel
--> Processing Dependency: glibc-headers = 2.5-12 for package: glibc-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package glibc-headers.x86_64 0:2.5-18.el5_1.1 set to be updated
--> Running transaction check
--> Processing Dependency: glibc = 2.5-18.el5_1.1 for package: glibc-headers
--> Processing Dependency: glibc-headers = 2.5-12 for package: glibc-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package glibc.x86_64 0:2.5-18.el5_1.1 set to be updated
--> Running transaction check
--> Processing Dependency: glibc-headers = 2.5-12 for package: glibc-devel
--> Processing Dependency: glibc-common = 2.5-18.el5_1.1 for package: glibc
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package glibc-common.x86_64 0:2.5-18.el5_1.1 set to be updated
--> Running transaction check
--> Processing Dependency: glibc-common = 2.5-12 for package: glibc
Error: No Package Matching glibc.i686
[root@solution]# 

Comment 10 Seth Vidal 2008-04-18 04:37:38 UTC
What ver of yum is this, now? And this is on rhel5?

Comment 11 Ra P. 2008-04-21 11:13:00 UTC
running the following works:
  yum update glibc glibc-common glibc-headers glibc-devel


Note You need to log in before you can comment on or make changes to this bug.